<?php

namespace CouponsPlus\App\Conditions\BuiltIn\Conditions;

use CouponsPlus\App\Conditions\Condition;
use CouponsPlus\App\Coupon\Coupon;
use CouponsPlus\App\Coupon\CouponOffersTracker;
use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\Original\Collections\Mapper\Types;

#[\AllowDynamicProperties]
Class Anything extends Condition
{
    const TYPE = 'Anything';
    
    static public function getName() : string
    {
        return __('Anything', 'coupons-plus-for-woocommerce');
    }

    static public function getDescription() : string
    {
        return '';
        //return __('For when you need to add offers without conditions.', 'coupons-plus-for-woocommerce');
    }
 
    static public function getUseCases(): Collection
    {
        return new Collection([
            __('Add coupon offers without specific conditions.', 'coupons-plus-for-woocommerce'),
            __('Add a default offer as a "for everything else" on a Tiered Offers column.', 'coupons-plus-for-woocommerce')
        ]);    
    } 

    public static function getNotes() : array 
    { 
        return [
            __("This condition will always pass.", 'coupons-plus-for-woocommerce')
        ]; 
    }

    public static function getOptions() : Collection
    {
        return new Collection([]);
    }
    
    protected function test() : bool
    {
        return true;
    }
}